
%global meadversion 1.12.2
%global namedversion 1.12.2.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package jboss-modules} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.12.2.Final-redhat-00001

Name:             %{?scl_prefix}jboss-modules
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          A Modular Classloading System
Group:            Development/Libraries

%if %with mead
Source100: jboss-modules-1.12.2.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-modules-1.12.2.Final-redhat-00001.jar
Source103: jboss-modules-1.12.2.Final-redhat-00001.pom
Source104: jboss-modules-1.12.2.Final-redhat-00001-sources.jar
Source105: jboss-modules-1.12.2.Final-redhat-00001-javadoc.jar
%endif

License:          ASL 2.0 or xpp
URL:              https://github.com/jbossas/jboss-modules

BuildArch:        noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ths package contains A Modular Classloading System.

%if %with javadoc
%package javadoc
Summary:          Javadocs for jboss-modules
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for jboss-modules.
%endif

%prep
%setup -q -n jboss-modules-%{namedversion} -T -b 100

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

# JAR
%if %without mead
cp -p target/jboss-modules-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%else
%{__cp} -p %{_sourcedir}/jboss-modules-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%{__cp} -p %{_sourcedir}/jboss-modules-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# JAVADOC
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}
%if %without mead
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/jboss-modules-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/jboss-modules-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}/META-INF
%{__ln_s} jboss-modules-%{namedversion} %{buildroot}%{_javadocdir}/jboss-modules
%endif
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}*/jboss-modules-%{namedversion}.jar
%{_javadir}*/jboss-modules.jar
%{_javadir}*/jboss-modules-%{namedversion}-sources.jar
%{_javadir}*/jboss-modules-sources.jar
%doc

%if %with javadoc
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/jboss-modules-%{namedversion}
%{_javadocdir}/jboss-modules
%endif

%changelog
* Wed Aug 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.12.2-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Aug 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.12.0-3.Final_redhat_00001.1
- Built by CPaaS

* Mon Oct 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.12.0-2.Final_redhat_00001.1
Built by CPaaS

* Fri Oct 08 2021 Harsha Cherukuri <hcheruku@redhat.com> - 1.12.0-1.Final_redhat_00001.1
- Building for 1.12.0.Final_redhat_00001

* Fri Oct 08 2021 Harsha Cherukuri <hcheruku@redhat.com> - 1.11.0-1.Final_redhat_00001.1
- Building for 1.12.0.Final-redhat-00001

* Fri Oct 08 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.11.0-1.Final_redhat_00001.1
Built by CPaaS

* Wed Nov 04 2020 Permaine Cheung <pcheung@redhat.com> - 1.10.2-1.Final_redhat_00001.1
- 1.10.2.Final-redhat-00001

* Tue Jul 14 2020 Permaine Cheung <pcheung@redhat.com> - 1.10.1-1.Final_redhat_00001.1
- 1.10.1.Final-redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.9.1-1.Final_redhat_00001.1
- 1.9.1.Final-redhat-00001

* Fri May 17 2019 Permaine Cheung <pcheung@redhat.com> - 1.9.0-1.Final_redhat_00001.1
- 1.9.0.Final_redhat_00001

* Fri May 10 2019 Permaine Cheung <pcheung@redhat.com> - 1.8.8-1.Final_redhat_00001.1
- org.jboss.modules-jboss-modules-1.8.8.Final_redhat_00001

* Tue Aug 28 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.8.6-1.Final_redhat_00001.1
- upgrade to 1.8.6.Final-redhat-00001

* Tue Jul 10 2018 Permaine Cheung <pcheung@redhat.com> - 1.8.5-2.Final_redhat_1.1
- Fix License

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 1.8.5-1.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Wed May 23 2018 Petr Sakar <psakar@redhat.com> - 1.8.5-1.Final_redhat_1.1
- upgrade to 1.8.5.Final-redhat-1

* Thu Nov 09 2017 Permaine Cheung <pcheung@redhat.com> - 1.6.0-11.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.6.0-10.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Sun Aug 20 2017 Petr Sakar <psakar@redhat.com> - 1.6.0-9.Final_redhat_1.1
- upgrade to 1.6.0.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 1.6.0-8.CR2_redhat_1.1
- upgrade to 1.6.0.CR2-redhat-1

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 1.6.0-7.CR1_redhat_1.1
- upgrade to 1.6.0.CR1-redhat-1

* Mon May 22 2017 Petr Sakar <psakar@redhat.com> - 1.6.0-6.Beta9_redhat_1.1
- upgrade to 1.6.0.Beta8-redhat-1

* Tue May 09 2017 Martin Minar <mminar@redhat.com> - 1.6.0-5.Beta8_redhat_1.1
- update to version 1.6.0.Beta8

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.6.0-4.Beta6_redhat_1.1
- upgrade to 1.6.0.Beta6-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.6.0-3.Beta5_redhat_1.1
- upgrade to 1.6.0.Beta5-redhat-1

* Fri Jan 20 2017 Petr Sakar <psakar@redhat.com> - 1.6.0-2.Beta4_redhat_1.1
- upgrade to 1.6.0.Beta4-redhat-1

* Fri Dec 16 2016 Petr Sakar <psakar@redhat.com> - 1.6.0-1.Beta3_redhat_1.1
- upgrade to 1.6.0.Beta3-redhat-1

* Thu Aug 04 2016 Fernando Nasser <fnasser@redhat.com> - 1.5.2-1.Final_redhat_1.1
- Upgrade to 1.5.2.Final-redhat-1

* Thu Jan 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.1-1.Final_redhat_1.1
- Upgrade to 1.5.1.Final

* Tue Jan 05 2016 Yong Yang <yyang@redhat.com> - 1.5.0-1.Final_redhat_1.1
- Rebuild 1.5.0.Final-redhat-1 

* Thu Nov 05 2015 Permaine Cheung <pcheung@redhat.com> - 1.4.4-1.Final_redhat_1.1
- 1.4.4.Final

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 1.4.3-1.Final_redhat_1.1
- 1.4.3.Final

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 1.4.3-1.Final_redhat_1.1
- 1.4.3.Final

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 1.4.3-1.Final_redhat_1
- 1.4.3.Final

* Mon Nov 24 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.6-1.Final_redhat_1.1
- Upgrade to 1.3.6.Final

* Sat Nov 22 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.5-1.Final_redhat_1.1
- Upgrade to 1.3.5.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.4-1.Final_redhat_1.1
- Upgrade to 1.3.4.Final

* Fri Mar 14 2014 Paul Gier <pgier@redhat.com> - 1.3.3-1.Final_redhat_1.1
- Upgrade to 1.3.3.Final

* Tue Mar 04 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.1-1.Final_redhat_1.1
- Upgrade to 1.3.1.Final

* Sun Sep 22 2013 Hui Wang <huwang@redhat.com> - 1.3.0-1.Final_redhat_1
- Upgrade to 1.3.0.Final

* Thu Jul 11 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.2.2-1.Final_redhat_1
- Upgrade to 1.2.2.Final

* Wed Apr 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.2.0-2.Final_redhat_1
- Upgrade to 1.2.0.Final

* Sun Feb 17 2013 Yong Yang <yyang@redhat.com> - 1.2.0-1.CR1_redhat_1
- 1.2.0.CR1

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.3-2.GA_redhat_1.1
- Rebuild for MD5

* Wed Sep 19 2012 Hui Wang <huwang@redhat.com> - 1.1.3-1.GA_redhat_1.1
- Rebuild for MD5

* Fri Aug 24 2012 Hui Wang <huwang@redhat.com> - 1.1.3-1.GA_redhat_1
- Upgrade to 1.1.3.GA

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.5
- Rebuild unsigned

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-3.GA_redhat_1
- Rebuild to clean MANIFEST.MF in the unsigned JAR

* Fri May 11 2012 Hui Wang <huwang@redhat.com> 1.1.2-2.GA_redhat_1.1
- Remove javadoc files from main package

* Wed May 02 2012 Hui Wang <huwang@redhat.com> 1.1.2-1.GA_redhat_1.1
- Upgrade to 1.1.2.GA

* Thu Apr 12 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-2.GA_redhat_1
- Populate javadir-signed

* Mon Feb 20 2012 Hui Wang <huwang@redhat.com> 1.1.0-1.GA_redhat_1.1
- Upgrade to 1.1.1.GA

* Thu Feb 09 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-0.2.CR6_redhat_1.2
- Resigned with 2011 key

* Tue Jan 10 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-0.2.CR6_redhat_1.1
- Wrap MEAD build for EAP 6

* Fri Dec 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.1.0-0.1.CR4
- Upstream release 1.1.0.CR4

* Tue Aug 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Initial packaging

